Index: trunk/LMDZ.GENERIC/libf/phystd/newsedim.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/newsedim.F	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/newsedim.F	(revision 1308)
@@ -16,6 +16,6 @@
 !   ------------
 
-#include "dimensions.h"
-#include "dimphys.h"
+!#include "dimensions.h"
+!#include "dimphys.h"
 #include "comcstfi.h"
 
@@ -47,7 +47,7 @@
 c    Traceurs :
 c    ~~~~~~~~ 
-      real traversee (ngrid,nlayermx)
-      real vstokes(ngrid,nlayermx)
-      real w(ngrid,nlayermx)
+      real traversee (ngrid,nlay)
+      real vstokes(ngrid,nlay)
+      real w(ngrid,nlay)
       real ptop, dztop, Ep, Stra
 
@@ -191,8 +191,7 @@
       end do
 
-      call vlz_fi(ngrid,pqi,2.,masse,w,wq)
+      call vlz_fi(ngrid,nlay,pqi,2.,masse,w,wq)
 c         write(*,*) ' newsed: wq(6), wq(7), q(6)',
 c    &                wq(1,6),wq(1,7),pqi(1,6)
 
-      RETURN
       END
Index: trunk/LMDZ.GENERIC/libf/phystd/newstart.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/newstart.F	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/newstart.F	(revision 1308)
@@ -32,6 +32,7 @@
 
 #include "dimensions.h"
-#include "dimphys.h"
-#include "planete.h"
+!#include "dimphys.h"
+      integer, parameter :: ngridmx = (2+(jjm-1)*iim - 1/jjm) 
+!#include "planete.h"
 #include "paramet.h"
 #include "comconst.h"
@@ -98,5 +99,5 @@
       real emisread             ! added by RW
       REAL,ALLOCATABLE :: qsurf(:,:)
-      REAL q2(ngridmx,nlayermx+1)
+      REAL q2(ngridmx,llm+1)
 !      REAL rnaturfi(ngridmx)
       real alb(iip1,jjp1),albfi(ngridmx) ! albedos
@@ -171,5 +172,5 @@
 
 !     added by BC for cloud fraction setup
-      REAL hice(ngridmx),cloudfrac(ngridmx,nlayermx)
+      REAL hice(ngridmx),cloudfrac(ngridmx,llm)
       REAL totalfrac(ngridmx)
 
@@ -341,6 +342,6 @@
         write(*,*) 'Reading file STARTFI'
         fichnom = 'startfi.nc'
-        CALL phyetat0 (ngridmx,fichnom,tab0,Lmodif,nsoilmx,nqtot,
-     .        day_ini,time,
+        CALL phyetat0 (ngridmx,llm,fichnom,tab0,Lmodif,nsoilmx,
+     .        nqtot,day_ini,time,
      .        tsurf,tsoil,emis,q2,qsurf,   !) ! temporary modif by RDW
      .        cloudfrac,totalfrac,hice,rnat,pctsrf_sic,tslab,tsea_ice,
@@ -534,5 +535,6 @@
 
         write(*,*) 'Reading file START_ARCHIVE'
-        CALL lect_start_archive(date,tsurf,tsoil,emis,q2,
+        CALL lect_start_archive(ngridmx,llm,
+     &   date,tsurf,tsoil,emis,q2,
      &   t,ucov,vcov,ps,teta,phisold_newgrid,q,qsurf,
      &   surfith,nid,
@@ -956,5 +958,5 @@
                  ucov(1:iip1,1:jjp1,1:llm)=0.
                  vcov(1:iip1,1:jjm,1:llm)=0.
-                 q2(1:ngridmx,1:nlayermx+1)=0.
+                 q2(1:ngridmx,1:llm+1)=0.
                else
                  write(*,*)'problem reading file ',trim(txt),' !'
@@ -1296,5 +1298,5 @@
           ucov(1:iip1,1:jjp1,1:llm)=0
           vcov(1:iip1,1:jjm,1:llm)=0
-          q2(1:ngridmx,1:nlayermx+1)=0
+          q2(1:ngridmx,1:llm+1)=0
 
 c       radequi : Radiative equilibrium profile of temperatures and no winds
@@ -1326,5 +1328,5 @@
           ucov(1:iip1,1:jjp1,1:llm)=0
           vcov(1:iip1,1:jjm,1:llm)=0
-          q2(1:ngridmx,1:nlayermx+1)=0
+          q2(1:ngridmx,1:llm+1)=0
 
 c       coldstart : T set 1K above CO2 frost point and no winds
@@ -1362,5 +1364,5 @@
           ucov(1:iip1,1:jjp1,1:llm)=0
           vcov(1:iip1,1:jjm,1:llm)=0
-          q2(1:ngridmx,1:nlayermx+1)=0
+          q2(1:ngridmx,1:llm+1)=0
 
 
Index: trunk/LMDZ.GENERIC/libf/phystd/newtrelax.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/newtrelax.F90	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/newtrelax.F90	(revision 1308)
@@ -1,8 +1,8 @@
-subroutine newtrelax(ngrid,mu0,sinlat,popsk,temp,pplay,pplev,dtrad,firstcall) 
+subroutine newtrelax(ngrid,nlayer,mu0,sinlat,popsk,temp,pplay,pplev,dtrad,firstcall) 
         
   implicit none
 
-#include "dimensions.h"
-#include "dimphys.h"
+!#include "dimensions.h"
+!#include "dimphys.h"
 #include "comcstfi.h"
 #include "callkeys.h"
@@ -21,16 +21,17 @@
 !==================================================================
  
-  integer ngrid
  
   ! Input
-  real mu0(ngrid)                    ! cosine of sun incident angle
-  real sinlat(ngrid)                 ! sine of latitude
-  real temp(ngrid,nlayermx)          ! temperature at each layer (K)
-  real pplay(ngrid,nlayermx)         ! pressure at each layer (Pa)
-  real pplev(ngrid,nlayermx+1)       ! pressure at each level (Pa)
-  real popsk(ngrid,nlayermx)         ! pot. T to T converter
+  integer,intent(in) :: ngrid, nlayer
+  logical,intent(in) :: firstcall
+  real,intent(in) :: mu0(ngrid)            ! cosine of sun incident angle
+  real,intent(in) :: sinlat(ngrid)         ! sine of latitude
+  real,intent(in) :: temp(ngrid,nlayer)    ! temperature at each layer (K)
+  real,intent(in) :: pplay(ngrid,nlayer)   ! pressure at each layer (Pa)
+  real,intent(in) :: pplev(ngrid,nlayer+1) ! pressure at each level (Pa)
+  real,intent(in) :: popsk(ngrid,nlayer)   ! pot. T to T converter
 
   ! Output
-  real dtrad(ngrid,nlayermx) 
+  real,intent(out) :: dtrad(ngrid,nlayer) 
 
   ! Internal
@@ -44,5 +45,4 @@
   real sig, f_sig, sig_trop
   integer l,ig
-  logical firstcall
 
 
@@ -53,5 +53,5 @@
   if(firstcall) then
 
-     ALLOCATE(Trelax(ngrid,nlayermx))
+     ALLOCATE(Trelax(ngrid,nlayer))
 
      print*,'-----------------------------------------------------'
@@ -66,5 +66,5 @@
            T_surf = 126. + 239.*mu0(ig)
            T_trop = 140. + 52.*mu0(ig)
-           do l=1,nlayermx
+           do l=1,nlayer
 
               if(mu0(ig).le.0.0)then ! night side
@@ -86,5 +86,5 @@
         sig_trop=(T_trop/T_surf)**(1./rcp)
 
-        do l=1,nlayermx
+        do l=1,nlayer
            do ig=1,ngrid
 
@@ -109,10 +109,8 @@
      endif
 
-     firstcall=.false.
- 
   endif
 
   ! Calculate radiative forcing
-  do l=1,nlayermx
+  do l=1,nlayer
      do ig=1,ngrid
         dtrad(ig,l) = -(temp(ig,l) - Trelax(ig,l)) / tau_relax
@@ -129,4 +127,3 @@
   !call writediagfi(ngrid,'ThetaZ','stellar zenith angle','deg',2,mu0)
 
-  return
 end subroutine newtrelax
Index: trunk/LMDZ.GENERIC/libf/phystd/ocean_slab_mod.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/ocean_slab_mod.F90	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/ocean_slab_mod.F90	(revision 1308)
@@ -15,6 +15,6 @@
 
 
-#include "dimensions.h"
-#include "dimphys.h"
+!#include "dimensions.h"
+!#include "dimphys.h"
 #include "comcstfi.h"
 #include "callkeys.h"
@@ -67,6 +67,6 @@
 
 
-#include "dimensions.h"
-#include "dimphys.h"
+!#include "dimensions.h"
+!#include "dimphys.h"
 #include "comcstfi.h"
 #include "callkeys.h"
@@ -210,6 +210,6 @@
       use slab_ice_h
 
-#include "dimensions.h"
-#include "dimphys.h"
+!#include "dimensions.h"
+!#include "dimphys.h"
 #include "comcstfi.h"
 #include "callkeys.h"
@@ -451,6 +451,6 @@
     use slab_ice_h 
 
-#include "dimensions.h"
-#include "comcstfi.h"
+!#include "dimensions.h"
+!#include "comcstfi.h"
 !    INCLUDE "iniprint.h"
 #include "callkeys.h"
@@ -534,5 +534,5 @@
 !  Transport diffusif
 !         IF (ok_soil_hdiff) THEN
-             CALL divgrad_phy(noceanmx,tmp_tslab_loc,dtdiff_loc)
+             CALL divgrad_phy(ngrid,noceanmx,tmp_tslab_loc,dtdiff_loc)
              dtdiff_loc=dtdiff_loc*soil_hdiff*50./SUM(slabh)!*100.
  !           dtdiff_loc(:,1)=dtdiff_loc(:,1)*soil_hdiff*50./SUM(slabh)*0.8
@@ -544,5 +544,5 @@
 ! Calcul  de transport par Ekman
 
-          CALL slab_ekman2(taux_slab,tauy_slab,tslab,dtekman_loc)
+          CALL slab_ekman2(ngrid,taux_slab,tauy_slab,tslab,dtekman_loc)
 
 
Index: trunk/LMDZ.GENERIC/libf/phystd/orbite.F
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/orbite.F	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/orbite.F	(revision 1308)
@@ -1,3 +1,5 @@
       subroutine orbite(pls,pdist_star,pdecli)
+      
+      use planete_mod, only: p_elips, e_elips, timeperi, obliquit
       implicit none
 
@@ -23,5 +25,5 @@
 c   -------------
 
-#include "planete.h"
+!#include "planete.h"
 #include "comcstfi.h"
 
Index: trunk/LMDZ.GENERIC/libf/phystd/phyetat0.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/phyetat0.F90	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/phyetat0.F90	(revision 1308)
@@ -1,3 +1,3 @@
-subroutine phyetat0 (ngrid,fichnom,tab0,Lmodif,nsoil,nq, &
+subroutine phyetat0 (ngrid,nlayer,fichnom,tab0,Lmodif,nsoil,nq, &
                      day_ini,time,tsurf,tsoil, &
                      emis,q2,qsurf,cloudfrac,totcloudfrac,hice, &
@@ -20,7 +20,7 @@
 !======================================================================
 #include "netcdf.inc"
-#include "dimensions.h"
-#include "dimphys.h"
-#include "planete.h"
+!#include "dimensions.h"
+!#include "dimphys.h"
+!#include "planete.h"
 #include "comcstfi.h"
 
@@ -33,4 +33,5 @@
 !  inputs:
   integer,intent(in) :: ngrid
+  integer,intent(in) :: nlayer
   character*(*),intent(in) :: fichnom ! "startfi.nc" file
   integer,intent(in) :: tab0
@@ -45,8 +46,8 @@
   real,intent(out) :: tsoil(ngrid,nsoil) ! soil temperature
   real,intent(out) :: emis(ngrid) ! surface emissivity
-  real,intent(out) :: q2(ngrid, llm+1) ! 
+  real,intent(out) :: q2(ngrid,nlayer+1) ! 
   real,intent(out) :: qsurf(ngrid,nq) ! tracers on surface
 ! real co2ice(ngrid) ! co2 ice cover
-  real,intent(out) :: cloudfrac(ngrid,nlayermx)
+  real,intent(out) :: cloudfrac(ngrid,nlayer)
   real,intent(out) :: hice(ngrid), totcloudfrac(ngrid)
   real,intent(out) :: pctsrf_sic(ngrid),tslab(ngrid,noceanmx)  
Index: trunk/LMDZ.GENERIC/libf/phystd/phyredem.F90
===================================================================
--- trunk/LMDZ.GENERIC/libf/phystd/phyredem.F90	(revision 1304)
+++ trunk/LMDZ.GENERIC/libf/phystd/phyredem.F90	(revision 1308)
@@ -17,7 +17,9 @@
                       put_var, put_field, length
   use mod_grid_phy_lmdz, only : klon_glo
+  use planete_mod, only: year_day, periastr, apoastr, peri_day, &
+                         obliquit, z0, lmixmin, emin_turb
 
   implicit none
-#include "planete.h"
+!#include "planete.h"
 #include "comcstfi.h"
   character(len=*), intent(in) :: filename
@@ -147,5 +149,5 @@
 !#include "temps.h"
 #include "comcstfi.h"
-#include "planete.h"
+!#include "planete.h"
 #include "callkeys.h"
 !======================================================================
